# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Spec/Functions.pm) perl(Perl/OSType.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(YAML/XS.pm) perl(namespace/sweep.pm)
# END SourceDeps(oneline)
%define module_version 0.001
%define module_name App-multiwhich
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: The great new App::multiwhich!
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NA/NANIS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
The standard Unix utility `which' locates executables in the user's path.
This module installs a command line program called `multiwhich' to locate
if identically named executables exist in multiple directories in your
path.

For example, on my MacBook Pro,
using the YAML::XS manpage as the output driver, I get:

    $ multiwhich perl
    ---
    - perl:
      - /Users/auser/perl/5.20.0/bin/perl
      - /opt/local/bin/perl
      - /usr/bin/perl

The first one is my build, the second one is
MacPorts' default, and the third one is the
system `perl'.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/A*

%files scripts
%_bindir/*

%changelog
* Tue Dec 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

